com.brightcove.player.captioning.tasks

## Class LoadCaptionsTask

- java.lang.Object
- - android.os.AsyncTask<android.net.Uri,java.lang.Void,java.lang.Void>
  - - com.brightcove.player.captioning.tasks.LoadCaptionsTask

- All Implemented Interfaces:
    Component

      @Emits(events={"didLoadClosedCaptions","closedCaptioningError"})
       @ListensFor(events={})
      public class LoadCaptionsTask
      extends android.os.AsyncTask<android.net.Uri,java.lang.Void,java.lang.Void>
      implements Component

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `LoadCaptionsTask.ResponseStreamListener` Provides a callback interface for processing an InputStream containing the response body of an HTTP request.

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `android.os.AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadCaptionsTask(EventEmitter emitter, android.content.ContentResolver contentResolver, CaptionType captionType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Void` | `doInBackground(android.net.Uri... params)`
    `protected void` | `onCancelled()`
    `protected void` | `onPostExecute(java.lang.Void param)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadCaptionsTask

          public LoadCaptionsTask(EventEmitter emitter,
                                  android.content.ContentResolver contentResolver,
                                  CaptionType captionType)

  - ### Method Detail

    - #### doInBackground

          protected java.lang.Void doInBackground(android.net.Uri... params)

      Specified by:
        `doInBackground` in class `android.os.AsyncTask<android.net.Uri,java.lang.Void,java.lang.Void>`

    - #### onPostExecute

          protected void onPostExecute(java.lang.Void param)

      Overrides:
        `onPostExecute` in class `android.os.AsyncTask<android.net.Uri,java.lang.Void,java.lang.Void>`

    - #### onCancelled

          protected void onCancelled()

      Overrides:
        `onCancelled` in class `android.os.AsyncTask<android.net.Uri,java.lang.Void,java.lang.Void>`